> For the complete documentation index, see [llms.txt](https://docs.trust.enterprises/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trust.enterprises/rest-api/tokens/create-a-token.md).

# Create a token

## Create new token

<mark style="color:green;">`POST`</mark> `https://hedera-serverless-consensus.vercel.app/api/token`

This endpoint allows you to create a token with a name, symbol, supply, and memo.&#x20;

The memo is an important feature to allow linking but not exclusive to: Hedera Topic IDs (dynamic NFTs), decentralised identity (DIDs), or IPFS (dStorage) images/files.

#### Headers

| Name                                             | Type   | Description                                                        |
| ------------------------------------------------ | ------ | ------------------------------------------------------------------ |
| Authentication<mark style="color:red;">\*</mark> | string | The **API\_SECRET\_KEY** from th e client's environment variables. |

#### Request Body

| Name                                     | Type   | Description                                                                            |
| ---------------------------------------- | ------ | -------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String | Symbol of the token                                                                    |
| name<mark style="color:red;">\*</mark>   | String | Name of the token                                                                      |
| supply<mark style="color:red;">\*</mark> | Number | Number of tokens to mint, whole.                                                       |
| memo                                     | String | Attached memo to a token, for linking to external content or for dynamic NFT purposes. |
| decimals                                 | int    | decimals of the token, if not present will default to 6.                               |

{% tabs %}
{% tab title="200 New token that has been minted, capability to send to send to accounts." %}

```
{
    "data": {
        "name": "Matt token",
        "symbol": "MATT",
        "memo": "abc",
        "reference": "basic.fungible",
        "supply": "100",
        "supplyWithDecimals": "100000000",
        "tokenId": "0.0.2839273"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trust.enterprises/rest-api/tokens/create-a-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
